Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.crs
Interface SingleCRS

All Superinterfaces:
  CoordinateReferenceSystem, IdentifiedObject, ReferenceSystem

All Known Subinterfaces:
  DerivedCRS, EngineeringCRS, GeneralDerivedCRS, GeocentricCRS, GeodeticCRS, GeographicCRS, ImageCRS, ProjectedCRS, TemporalCRS, VerticalCRS

    @UML(identifier="SC_SingleCRS",
         specification=ISO_19111)
    public interface SingleCRS

extends CoordinateReferenceSystem

Abstract coordinate reference system, consisting of a single Coordinate System and a single Datum (as opposed to Compound CRS). A coordinate reference system consists of an ordered sequence of coordinate system axes that are related to the earth through a datum. A coordinate reference system is defined by one datum and by one coordinate system. Most coordinate reference system do not move relative to the earth, except for engineering coordinate reference systems defined on moving platforms such as cars, ships, aircraft, and spacecraft. Coordinate reference systems are commonly divided into sub-types. The common classification criterion for sub-typing of coordinate reference systems is the way in which they deal with earth curvature. This has a direct effect on the portion of the earth's surface that can be covered by that type of CRS with an acceptable degree of error. The exception to the rule is the subtype "Temporal" which has been added by analogy.

Since:
  GeoAPI 2.0
Version:
  Abstract specification 2.0
See Also:
  `CoordinateSystem`, `Datum`

Field Summary

Fields inherited from interface ReferenceSystem
`DOMAIN_OF_VALIDITY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`CoordinateSystem` | `getCoordinateSystem()` Returns the coordinate system.
`Datum` | `getDatum()` Returns the datum.

Methods inherited from interface ReferenceSystem
`getDomainOfValidity, getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getCoordinateSystem

    @UML(identifier="usesCS",
         obligation=MANDATORY,
         specification=ISO_19111)
    CoordinateSystem getCoordinateSystem()

  Returns the coordinate system.

  Specified by:
    `getCoordinateSystem` in interface `CoordinateReferenceSystem`

### getDatum

    @UML(identifier="usesDatum",
         obligation=MANDATORY,
         specification=ISO_19111)
    Datum getDatum()

  Returns the datum.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.